This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 148996 - RHEL4: system-config-kickstart, missing selinux options settings
RHEL4: system-config-kickstart, missing selinux options settings
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-17 15:22 EST by Andrius Benokraitis
Modified: 2015-07-14 00:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-26 14:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrius Benokraitis 2005-02-17 15:22:03 EST
Description of problem:
Firewall tab/screen does not offer selinux options, as is done similarly in
anaconda.

Version-Release number of selected component (if applicable): RHEL4-GOLD

How reproducible: Always

Steps to Reproduce:
1. Launch system-config-kickstart as root
2. Select Firewall tab/screen
3. Cannot locate selinux settings (active/warn/disable)
  
Actual results: No settings available, resulting in created ks.cfg file not
listing an 'selinux' option.

Expected results: An 'selinux' option selection, as is seen in anaconda-ks.cfg,
and the anaconda step-by-step manual installer.

Additional info: What happens if no 'selinux' option is present in a kickstart
file for RHEL4? Does it default to 'selinux --enabled'? (I hope!)
Comment 1 Chris Lumens 2005-02-21 16:56:47 EST
The default appears to be setting enforcing mode.
Comment 2 Chris Lumens 2005-03-23 11:54:29 EST
Reminder to myself:  needs to be added in rawhide as well.
Comment 3 Chris Lumens 2005-03-28 16:05:27 EST
On the list for RHEL4U2.  I've already built it into Rawhide, as well.

Note You need to log in before you can comment on or make changes to this bug.